=== modified file 'debian/changelog'
--- debian/changelog	2011-04-13 09:13:09 +0000
+++ debian/changelog	2011-05-15 16:11:04 +0000
@@ -1,3 +1,17 @@
+eog-plugins (3.0.0-1) experimental; urgency=low
+
+  [ Jeremy Bicha ]
+  * New upstream stable release
+  * debian/control
+    - Bump build dependencies to match configure.ac including gtk3
+    - Add libpeas-dev dependency
+    - Drop unneeded python- dependencies
+    - Switch to dh_python2
+  * debian/rules
+    - Switch to dh_python2
+
+ -- Jeremy Bicha <jeremy@bicha.net>  Sun, 15 May 2011 11:03:34 -0400
+
 eog-plugins (2.30.2-1) unstable; urgency=low
 
   * New upstream stable release.

=== modified file 'debian/control'
--- debian/control	2011-04-13 09:11:41 +0000
+++ debian/control	2011-05-15 16:12:55 +0000
@@ -3,43 +3,45 @@
 Priority: optional
 Maintainer: Luca Bruno <lethalman88@gmail.com>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.90~),
                gnome-pkg-tools (>= 0.11),
                debhelper (>= 5),
                intltool (>= 0.40.0),
-               libglib2.0-dev (>= 2.12.0),
-               libgtk2.0-dev (>= 2.19.7),
+               libglib2.0-dev (>= 2.26.0),
+               libgtk-3-dev (>= 2.99.3),
                libgconf2-dev,
-               eog-dev (>= 2.19.0),
+               eog-dev (>= 2.91.92),
                gconf2,
                postr,
-               libchamplain-0.8-dev (>= 0.7.1),
-               libchamplain-gtk-0.8-dev (>= 0.7.1),
-               libclutter-gtk-0.10-dev (>= 0.10),
+               libchamplain-0.10-dev (>= 0.9.0),
+               libchamplain-gtk-0.10-dev (>= 0.9.0),
+               libclutter-gtk-1.0-dev (>= 0.90),
                libexif-dev (>= 0.6.16),
-               libgdata-dev (>= 0.6.0),
-               python-gobject-dev (>= 2.11.5),
-               python-gnome2-dev (>= 2.18.2),
-               python-gtk2-dev (>= 2.9.7),
-               python-support (>= 0.7.1)
+               libgdata-dev (>= 0.8.0),
+               libpeas-dev (>= 0.7.4),
+               python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: http://live.gnome.org/EyeOfGnome/Plugins
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/eog-plugins
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/eog-plugins
-XS-Python-Version: >= 2.3
 
 Package: eog-plugins
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         eog (>= 2.28.0),
-         python-gobject (>= 2.11.5),
-         python-gnome2 (>= 2.18.2),
-         python-gtk2 (>= 2.9.7)
+         eog (>= 2.91.92),
 Suggests: postr
 Description: set of plugins for eog
  eog-plugins contain a set of plugins for eog, Eye of GNOME.
  .
  The following plugins are included:
+  * PicasaWeb Uploader: Upload your pictures to PicasaWeb
+  * Zoom to fit image width: Zoom to fit image width
+  * Map: Display the geolocation of the image on a map
+  * Python Console: Python console for Eye of GNOME
+  * Exif display: Displays camera settings and histogram
+  * Flickr Uploader: Upload your pictures to Flickr
+  * Slideshow Shuffle: Shuffles images in slideshow mode
+  * Send By Mail: Sends an image attached to a new mail
  

=== modified file 'debian/control.in'
--- debian/control.in	2011-04-13 09:11:41 +0000
+++ debian/control.in	2011-05-15 16:12:57 +0000
@@ -3,40 +3,34 @@
 Priority: optional
 Maintainer: Luca Bruno <lethalman88@gmail.com>
 Uploaders: @GNOME_TEAM@
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.90~),
                gnome-pkg-tools (>= 0.11),
                debhelper (>= 5),
                intltool (>= 0.40.0),
-               libglib2.0-dev (>= 2.12.0),
-               libgtk2.0-dev (>= 2.19.7),
+               libglib2.0-dev (>= 2.26.0),
+               libgtk-3-dev (>= 2.99.3),
                libgconf2-dev,
-               eog-dev (>= 2.19.0),
+               eog-dev (>= 2.91.92),
                gconf2,
                postr,
-               libchamplain-0.8-dev (>= 0.7.1),
-               libchamplain-gtk-0.8-dev (>= 0.7.1),
-               libclutter-gtk-0.10-dev (>= 0.10),
+               libchamplain-0.10-dev (>= 0.9.0),
+               libchamplain-gtk-0.10-dev (>= 0.9.0),
+               libclutter-gtk-1.0-dev (>= 0.90),
                libexif-dev (>= 0.6.16),
-               libgdata-dev (>= 0.6.0),
-               python-gobject-dev (>= 2.11.5),
-               python-gnome2-dev (>= 2.18.2),
-               python-gtk2-dev (>= 2.9.7),
-               python-support (>= 0.7.1)
+               libgdata-dev (>= 0.8.0),
+               libpeas-dev (>= 0.7.4),
+               python (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: http://live.gnome.org/EyeOfGnome/Plugins
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/eog-plugins
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/eog-plugins
-XS-Python-Version: >= 2.3
 
 Package: eog-plugins
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         eog (>= 2.28.0),
-         python-gobject (>= 2.11.5),
-         python-gnome2 (>= 2.18.2),
-         python-gtk2 (>= 2.9.7)
+         eog (>= 2.91.92),
 Suggests: postr
 Description: set of plugins for eog
  eog-plugins contain a set of plugins for eog, Eye of GNOME.

=== modified file 'debian/rules'
--- debian/rules	2010-05-03 22:47:55 +0000
+++ debian/rules	2011-05-15 16:07:43 +0000
@@ -19,5 +19,5 @@
 			debian/control.in > debian/control
 
 binary-install/eog-plugins::
-	dh_pysupport -p$(cdbs_curpkg) /usr/lib/eog/plugins 
+	dh_python2 -p$(cdbs_curpkg) /usr/lib/eog/plugins 
 	find debian/$(cdbs_curpkg) -name \*.la -exec rm -f {} \;

